#include<bits/stdc++.h>
using namespace std;
bool proveriR(bool A[][2],int N,int r)
{
	for(int i=0;i<N;i++)
	{
		if(A[r][i])
		return true;
	}
	return false;	
}
bool proveriK(bool A[][2],int N,int k)
{
	for(int i=0;i<N;i++)
	{
		if(A[i][k])
		return true;
	}
	return false;
}
main()
{
	int N,i,j;
	scanf("%d",&N);
	int r[N],k[N];
	bool A[2][2];
	for(i=0;i<N;i++)
	{
		scanf("%d %d",&r[i],&k[i]);
	}
	for(i=0;i<N;i++)
		{
			A[r[i]][k[i]]=true;
		}
	if(N==1)
		printf("0");
	if(N==2&&!(proveriR(A,N,0)&&proveriR(A,N,1)&&proveriK(A,N,0)&&proveriK(A,N,1)))
	{
		printf("1");
	}
	else
		printf("0");
}